import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class NumericTextboxComponent implements OnInit, OnChanges {
    id: string;
    autoCorrect: boolean;
    width: number;
    isDisabled: boolean;
    value: number;
    min: number;
    max: number;
    step: number;
    format: string;
    fillMode: "flat" | "solid" | "outline" | "none";
    rounded: "small" | "medium" | "large" | "full" | "none";
    size: "small" | "medium" | "large" | "none";
    readonly: boolean;
    placeholder: string;
    model: any;
    modelChange: EventEmitter<any>;
    control: FormControl;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    emitModelChange(ev: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumericTextboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumericTextboxComponent, "lib-numeric-textbox", never, { "id": { "alias": "id"; "required": false; }; "autoCorrect": { "alias": "autoCorrect"; "required": false; }; "width": { "alias": "width"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "value": { "alias": "value"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "step": { "alias": "step"; "required": false; }; "format": { "alias": "format"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "size": { "alias": "size"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "model": { "alias": "model"; "required": false; }; "control": { "alias": "control"; "required": false; }; }, { "modelChange": "modelChange"; }, never, never, false, never>;
}
