import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class TextAreaComponent implements OnInit {
    placeholder: string;
    resizable: 'vertical' | 'horizontal' | 'both';
    rows: number;
    cols: number;
    width: string;
    value: string;
    control: FormControl;
    inputChange: EventEmitter<String>;
    constructor();
    ngOnInit(): void;
    emitValueChange(ev: String): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextAreaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextAreaComponent, "lib-text-area", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "resizable": { "alias": "resizable"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; "cols": { "alias": "cols"; "required": false; }; "width": { "alias": "width"; "required": false; }; "value": { "alias": "value"; "required": false; }; "control": { "alias": "control"; "required": false; }; }, { "inputChange": "inputChange"; }, never, never, false, never>;
}
