import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class TimeschedulerComponent implements OnInit, OnChanges {
    model: Date;
    modelChange: EventEmitter<Date>;
    size: 'small' | 'medium' | 'large' | 'none';
    rounded: 'small' | 'medium' | 'large' | 'full' | 'none';
    fillMode: 'solid' | 'flat' | 'outline' | 'none';
    format: string;
    isDisabled: boolean;
    readonly: boolean;
    placeholder: string;
    control: FormControl;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    emitModelChange(ev: Date): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeschedulerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimeschedulerComponent, "lib-timescheduler", never, { "model": { "alias": "model"; "required": false; }; "size": { "alias": "size"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "format": { "alias": "format"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "control": { "alias": "control"; "required": false; }; }, { "modelChange": "modelChange"; }, never, never, false, never>;
}
