import { AfterViewChecked, AfterViewInit, ElementRef, OnChanges } from '@angular/core';
import { TypographyType } from './TypographyType';
import * as i0 from "@angular/core";
export declare class TypographyComponent implements AfterViewInit, AfterViewChecked, OnChanges {
    type: TypographyType;
    defaultText: string;
    isLabel: boolean;
    hiddenLabel: string;
    child: ElementRef | undefined;
    labelChild: ElementRef | undefined;
    showDefaultText: boolean;
    font: string;
    input_id: null;
    constructor();
    ngAfterViewChecked(): void;
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    checkForLabel(): void;
    checkShowDefaultText(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypographyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TypographyComponent, "lib-typography", never, { "type": { "alias": "type"; "required": false; }; "defaultText": { "alias": "defaultText"; "required": false; }; "isLabel": { "alias": "isLabel"; "required": false; }; "hiddenLabel": { "alias": "hiddenLabel"; "required": false; }; }, {}, never, ["*", "*"], false, never>;
}
