import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ButtonGroupComponent implements OnInit {
    constructor();
    buttons: any[];
    selection: 'single' | 'multiple';
    size: 'small' | 'medium' | 'large';
    rounded: 'small' | 'medium' | 'large' | 'full' | 'none';
    fillMode: 'solid' | 'flat' | 'outline' | 'clear' | 'link' | 'none';
    themeColor: 'base' | 'primary' | 'secondary' | 'tertiary' | 'info' | 'success' | 'warning' | 'error' | 'dark' | 'light' | 'inverse';
    label: string;
    disabled: boolean;
    toggleable: boolean;
    buttonClick: EventEmitter<any>;
    onButtonClick(label: string): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonGroupComponent, "lib-button-group", never, { "buttons": { "alias": "buttons"; "required": false; }; "selection": { "alias": "selection"; "required": false; }; "size": { "alias": "size"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "themeColor": { "alias": "themeColor"; "required": false; }; "label": { "alias": "label"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "toggleable": { "alias": "toggleable"; "required": false; }; }, { "buttonClick": "buttonClick"; }, never, ["*"], false, never>;
}
