import { AfterViewInit, EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import { AutoCompleteComponent } from '@progress/kendo-angular-dropdowns';
import { TextBoxComponent } from '@progress/kendo-angular-inputs';
import * as i0 from "@angular/core";
export declare class SearchBoxComponent implements AfterViewInit {
    autocomplete: AutoCompleteComponent;
    textbox: TextBoxComponent;
    source: Array<string>;
    data: Array<string>;
    filterable: boolean;
    size: 'small' | 'medium' | 'large' | 'none';
    rounded: "small" | "medium" | "large" | "full" | "none";
    fillMode: "solid" | "flat" | "outline" | "none";
    clearButton: boolean;
    icon: string;
    autoComplete: boolean;
    placeholder: string;
    width: number;
    suggest: boolean;
    modelChange: EventEmitter<string>;
    searchClick: EventEmitter<any>;
    control: FormControl;
    value: string;
    ngAfterViewInit(): void;
    emitValueChange(ev: string): void;
    onSearchClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchBoxComponent, "lib-search-box", never, { "source": { "alias": "source"; "required": false; }; "data": { "alias": "data"; "required": false; }; "filterable": { "alias": "filterable"; "required": false; }; "size": { "alias": "size"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "clearButton": { "alias": "clearButton"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "autoComplete": { "alias": "autoComplete"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "width": { "alias": "width"; "required": false; }; "suggest": { "alias": "suggest"; "required": false; }; "control": { "alias": "control"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "modelChange": "modelChange"; "searchClick": "searchClick"; }, never, never, false, never>;
}
