export interface MenuItem {
    name: string;
    route: string;
    active: boolean;
    authorized?: boolean;
    visible?: boolean;
    openInNewPage?: boolean;
    icon?: string;
    submenus?: MenuItem[];
    fontClassType?: string;
}
export interface TopMenuItem {
    menu_items: MenuItem[];
}
export interface SideMenuItem {
    menu_items: MenuItem[];
}
export interface OnlySideMenuItem {
    menu_items: MenuItem[];
}
